.tab-item {
    padding: .15rem .25rem;
    border-radius: 27px;
    cursor: pointer;
    transition: all 0.3s;
    white-space: nowrap;
    width: 2rem;
    font-size: 20px;
    text-align: center;
    color: rgba(107,113,131,0.68);
    background-image: linear-gradient(180deg,
    #ffffff 0%,
    #e2fff8 100%),
    linear-gradient(
            #f2f2f2,
            #f2f2f2);
    box-shadow: 0px 0px 10px 0px
    rgba(166, 181, 170, 0.8);
    border: solid 1px #cddfdb;
}
.tab-item.active {
    background-image: linear-gradient(180deg,
    #229760 0%,
    #12a083 100%),
    linear-gradient(
            #f2f2f2,
            #f2f2f2);
    box-shadow: inset 0px 7px 5px 0px
    rgba(19, 98, 36, 0.44);
    border-radius: 27px;
    border: solid 1px #cddfdb;
    color: #ffffff;
}

.map-part{
    display: flex;
    justify-content: space-between;
}
/* 响应式：中等屏幕下卡片竖排显示 */
@media (max-width: 900px) {
    .map-part {
        flex-direction: column;
        align-items: center;
    }
    .map-part .map-tabs{
        width: 92vw !important;
        flex-direction: unset !important;
    }
    .map {
        width: 99vw !important;
    }
    .map-right{
        width: 80vw !important;
    }
    .map-right .map-right-text{
        background-size: 110% 100% !important;
    }
    .weather-bottom {
        margin-top: .5rem;
    }
}
.map-container{
    padding: 20px;
    box-sizing: border-box;
    /*background: #fff;*/
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    background-image: url(../img/weather-background.png);
}

.map-part .map-tabs{
    display: flex;
    flex-direction: column;
    gap:0.3rem;
    align-items: center;
    width: 15%;
    border-radius: 10px;
}

.map-part .map-tabs p{
    font-size: .2rem;
    margin-top: .4rem;
}



.map {
    width: 60%;
    height: 600px;
}

.map-right{
    background-image: linear-gradient(75deg,
    #1ed9b3 0%,
    #72beff 100%);
    box-shadow: 0px 0px 22px 2px
    rgba(95, 98, 105, 0.29);
    border-radius: 10px;
    height: 7rem;
}

.map-right .map-right-text{
    background-image: url(../img/weather-right-text.png);
    background-repeat: no-repeat;
    background-size: 100% 100%;
    background-position: center;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    padding: .375rem;
    box-sizing: border-box;
}

.map-right .map-right-text .top{
    font-size: 28px;
    margin-bottom: .1875rem;
}
.map-right .map-right-text .bottom{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.map-right .map-right-text .bottom p{
    font-size: .5rem;
}

.map-right .map-right-text .bottom span{
    font-size: 40px;
}

.map-right-list {
    height: 4.7rem;
    overflow-y: auto; /* 超出高度时显示滚动条 */
    padding: 10px;
    color: white;
}

.map-right-list .map-right-item{
    display: flex;
    justify-content: space-between;
    gap: 0.7rem;
    padding: .1rem .3rem;
    font-size: .3rem;
}
.map-right-list .map-right-item .icon{
    width: 15%;
}
.map-right-list .map-right-item .temperature{
	width: 0.45rem;
	text-align: right;
} 

.weather-bottom {
    padding: .25rem .75rem;
    box-sizing: border-box;
    display: flex;
    border-radius: 10px;
    flex-direction: column;
    background-image: linear-gradient(75deg,
    #1ed9b3 0%,
    #72beff 100%);
    box-shadow: 0px 0px 22px 2px
    rgba(95, 98, 105, 0.29);
}

.weather-bottom .cityName {
    color: rgb(255, 255, 255);
    font-size: 20px;
    font-weight: bold;
}

.weather-cards {
    display: flex;
    gap: 0.3rem;  /* Add space between cards */
    overflow-x: auto;  /* Allow scrolling if the cards overflow */
    align-items: center;
    margin-top: .3rem;
}

.weather-card {
    background-color: #ffffffcc;
    border-radius: 10px;
    padding: 15px;
    text-align: center;
    width: 12%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    min-width: 100px;  /* Ensure cards don't shrink too much */
}

.weather-card .date {
    font-size: 18px;
    color: #494949;
    margin-bottom: .125rem;
}

.weather-card .weather-icon {
    width: .375rem;
    margin-bottom: .1875rem;
}

.weather-card i {
    width: .375rem;
    margin-bottom: .1875rem;
}

.weather-card .temperature {
    font-size: 40px;
    font-weight: 500;
    color: #494949;
    margin-bottom: .1875rem;
}

.weather-card .range {
    font-size: 24px;
    color: #494949;
}
